Reset parser state

- « Parle\Parser::push

- Parle\Parser::right »

- PHP Manual
- Parle\Parser
- Reset parser state

# Parle\Parser::reset

(PECL parle >= 0.7.1)

Parle\Parser::reset — Reset parser state

### Description

public Parle\Parser::reset(int `$tokenId` = ?): void

Reset parser state using the given token id.

### Parameters

`tokenId`

  Token id.

### Return Values

No value is returned.